SLONIK REPAIR CONFIG(7)

NAME
REPAIR CONFIG - Resets the name-to-oid mapping of tables in a replication set, useful for restoring a node after a pg_dump.

SYNOPSIS
REPAIR CONFIG (options);

DESCRIPTION

Resets name-to-oid mapping.

SET ID = ival
    Which set to clean up after.

EVENT NODE = ival
    The node ID where this should be submitted.

EXECUTE ONLY ON = ival
    The ID of the only node where the mappings are to be updated. If not specified, the default is to execute this on all nodes subscribed to the set.

EXAMPLE
REPAIR CONFIG (
  SET ID = 1,
  EVENT NODE = 2
);

LOCKING BEHAVIOUR

No application-visible locking should take place.

SLONIK EVENT CONFIRMATION BEHAVIOUR

Slonik does not wait for event confirmations before performing this command.

VERSION INFORMATION

This command was introduced in Slony-I 1.1